Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040369
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-03-13 08:232019-04-15 16:36
ReporterguillermogilView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision3bdd3aba4fe3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040369: Scanning of UPC is doing an Upper Equals instead of just equals

DescriptionScanning of UPC is doing an Upper Equals instead of just equals.

Remote query should have the isId Paremeter to disabled the Upper. Since Index is not taking into account the Upper performance may be impacted.
Steps To ReproduceWith Remote Products enabled.
Scan 'abc'

Look for the query executed:
" upper(product1_.UPC)=upper($1) "
Proposed Solutionupper should not be used in remote filters (neither for product1_.UPC nor $1).
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040170pi scheduledRetail When barcode is scanned in POS Terminal, the code is automatically set as lowercase. 

-  Notes
(0111077)
hgbot (developer)
2019-04-11 09:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3bdd3aba4fe3c3a951038f2e2e1671386b97757c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 11 13:13:14 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3bdd3aba4fe3c3a951038f2e2e1671386b97757c [^]

Fixed issue 40369 : Scanning UPC should validate the exact value in backoffice

* If remote filter is enabled, while scanning upc, exact value should be checked in backoffice

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
---
(0111145)
adrianromero (manager)
2019-04-15 16:36

Verified

- Issue History
Date Modified Username Field Change
2019-03-13 08:23 guillermogil New Issue
2019-03-13 08:23 guillermogil Assigned To => Retail
2019-03-13 08:23 guillermogil Triggers an Emergency Pack => No
2019-03-13 08:24 guillermogil Relationship added related to 0040170
2019-03-13 08:24 guillermogil Tag Attached: Performance
2019-03-13 08:25 guillermogil Description Updated View Revisions
2019-04-08 11:55 jorge-garcia Proposed Solution updated
2019-04-10 12:14 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-04-10 12:14 ranjith_qualiantech_com Status new => scheduled
2019-04-11 09:43 hgbot Checkin
2019-04-11 09:43 hgbot Note Added: 0111077
2019-04-11 09:43 hgbot Status scheduled => resolved
2019-04-11 09:43 hgbot Resolution open => fixed
2019-04-11 09:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3bdd3aba4fe3c3a951038f2e2e1671386b97757c [^]
2019-04-15 16:36 adrianromero Review Assigned To => adrianromero
2019-04-15 16:36 adrianromero Note Added: 0111145
2019-04-15 16:36 adrianromero Status resolved => closed
2019-04-15 16:36 adrianromero Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker